import React from "react";

import {
    AppRegistry
} from "react-native";

import {
    name as app_name
} from "./app.json";

import {
    Text,
    View
} from "react-native";

import colors from "./colors";

class App extends React.Component {
    render() {
        return (
            <View
                style = {{
                    alignItems      : "center",
                    backgroundColor : colors[0],
                    flex            : 1,
                    justifyContent  : "center"
                }}
            >
                <Text
                    style = {{
                        color       : colors[1],
                        fontSize    : 48
                    }}
                >
                    Hello
                </Text>
            </View>
        )
    }
}

AppRegistry.registerComponent(app_name, () => App);